Skip to main content
PATCH
/
dashboards
/
uid
/
{uid}
/
charts
/
{chartId}
Patch dashboard chart
curl --request PATCH \
  --url https://api.axiom.co/v2/dashboards/uid/{uid}/charts/{chartId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "chart": {},
  "message": "<string>",
  "overwrite": false,
  "version": 123
}
'
{
  "dashboard": {
    "createdAt": "2023-11-07T05:31:56Z",
    "createdBy": "<string>",
    "dashboard": {
      "name": "<string>",
      "owner": "<string>",
      "charts": [
        {
          "id": "<string>",
          "type": "TimeSeries",
          "query": {
            "apl": "<string>",
            "queryOptions": {
              "shownColumns": "<string>"
            }
          },
          "name": "<string>"
        }
      ],
      "layout": [
        {
          "i": "<string>",
          "x": 5,
          "y": 4503599627370495,
          "w": 6,
          "h": 50,
          "minW": 6,
          "minH": 50.25,
          "maxW": 6,
          "maxH": 50,
          "static": true
        }
      ],
      "schemaVersion": 2,
      "timeWindowStart": "<string>",
      "timeWindowEnd": "<string>",
      "description": "<string>",
      "againstTimestamp": "<string>",
      "uid": "<string>"
    },
    "id": "<string>",
    "uid": "<string>",
    "updatedAt": "2023-11-07T05:31:56Z",
    "updatedBy": "<string>",
    "version": 123
  },
  "overwritten": true
}

Authorizations

Authorization
string
header
required

Authenticate using an API token or personal access token (PAT). Include the token as a Bearer token: Authorization: Bearer <token>. For more information, see Tokens.

Path Parameters

uid
string
required
chartId
string
required

Body

application/json
chart
object
required

JSON merge patch applied to the existing chart. If id is present, it must match the chartId path parameter.

message
string
overwrite
boolean
default:false
version
integer<int64>

Required when overwrite is false.

Response

Updated dashboard

dashboard
object
required
status
enum<string>
required
Available options:
created,
updated
overwritten
boolean